/**
* PAGE
* ----------------------------------------------
*
*   Date: 2014-01-20
*
* Author: Hillsong Digital Team
*
*  Notes: Default Styles that Apply to a Page
*
*/

/*
//====================================================================
//
// MOBILE / SMALL SCREEN (0px - 480px)
//
//====================================================================
*/

* {
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
}

body {
	padding: 0; 
	margin: 0 auto;
	width: 100%;
	max-width: none;
	/*font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;*/
	font-family: 'Gotham SSm A', 'Gotham SSm B',"Helvetica Neue", Helvetica, Arial, sans-serif;
	font-weight: 300;
	font-size: 15px;
	line-height: 20px;
	color: #464646;
	
	position: relative;
	
	-webkit-text-size-adjust: none;
	-webkit-font-smoothing: antialiased;
	text-rendering: optimizeLegibility; 
}

p { margin-bottom: 20px; }
p:last-child { /*margin-bottom: 0px;*/ margin-bottom: -7px; /* try this out... to counter line-height*/ }

img { vertical-align: middle; }


fieldset { border: 0; margin: 0; padding: 0; }

textarea { resize: vertical; }

a { color: #289fd8; text-decoration: none; }
a:hover { color: #005481; }


table { width: 100%; margin: 0 auto; }
table th { text-align: left; border-bottom: 4px solid #464646; padding-bottom: 10px; vertical-align: bottom; }
table td { text-align: left; padding-top: 10px; padding-bottom: 10px; }

ul { margin-left: 0px; }
.inalightbox ul { margin-left: 20px; margin-bottom: 20px; }

/*
//---------------------------------------
// Framework (Mobile)
//---------------------------------------
*/
.wrapper {
	max-width: none;
	position: relative;
}



.section-wrap {
	width: 100%;
	padding: 0;
	margin: 0;
	clear: both;
	display: block;
	
	border-left: 0;
	border-right: 0;
}

.section-row:before,
.section-row:after{ content:"";display:table; }
.section-row:after{ clear:both; }
.section-row { zoom:1; }

.section-row {
	margin: 0 auto;
	padding: 53px 20px; 
	max-width: 1200px;
	position: relative;
}	
.section-row.no-pad { padding: 0; }
.section-row.no-pad.tb {
	padding: 53px 20px;
	padding-top: 0;
	padding-bottom: 0;
}
.section-row.no-pad.lr {
	padding: 53px 20px;
	padding-left: 0;
	padding-right: 0;
}
.section-row.no-pad-bottom { padding-bottom: 0; }
.section-row.full-width {
	max-width: none;
	width: 100%;
}
.nopad .section-row { padding: 0px 0px; }

.inalightbox .section-row {
	max-width: 100%;
	padding-top: 20px;
	padding-bottom: 20px;
	margin: 0 auto;
}


/*
//---------------------------------------
// ROW: Defaults (Mobile)
//---------------------------------------
*/

.rowtitles { margin: 0 auto; margin-bottom: 20px; }

.rowtitle {
	font-size: 21px;
	line-height: 26px;
	font-weight: 700;
	text-align: center;
	margin: 0;
	color: #464646;
	/* Gotham */
	letter-spacing: -0.02em;
}

.rowsubtitle {
	font-size: 21px;
	line-height: 26px;
	text-align: center;
	margin: 0;
	color: #646464;
	/* Gotham */
	letter-spacing: -0.02em;
}

.rowtext {
	font-size: 15px;
	line-height: 20px;
	text-align: center;
	margin: 0 auto;
	margin-bottom: 26px;
	color: #464646;
}
.rowtext:last-child { margin-bottom: 0px; }

.rowtext p:last-child { margin-bottom: 0px; }

.rowbutton { text-align: center; margin-bottom: 30px; }
.rowbutton:last-child { margin-bottom: 0px; }

.inalightbox .rowtitles { width: 100%; }
.inalightbox .rowtitle { text-align: left; }
.inalightbox .rowsubtitle { text-align: left; }
.inalightbox .rowtext { text-align: left; width: 100%; }
.inalightbox .rowbutton { text-align: left; }

.lighttext { color: #898989; }
.darktext { color: #464646; }

.icon {
	font-size: 26px;
	vertical-align: middle;
	margin-left: 10px;
	margin-right: 10px;
}


/*
//---------------------------------------
// FORM ELEMTNS
//---------------------------------------
*/

.form-wrap { width: 100%; margin: 0 auto; }
.form-item, .contourField { margin-bottom: 18px; }
.form-item:last-child, .contourField:last-child { margin-bottom: 0px; }
.contourPage { margin-bottom: 18px; }


label { color: #898989; text-align: left; font-size: 13px; /*display: block;*/ }

select { background:url(/assets/images/webkit-select.png) right center no-repeat; }
input[type=text],
input[type=date],
input[type=email],
input[type=password],
input[type=number],
textarea,
select {
	background-color: #ebebeb;
	border: 2px solid #ebebeb; 
	font-size: 13px;
	line-height: 15px;
	padding:10px 10px;
	width: 100%;
	margin-bottom: 0px;
	
	-webkit-border-radius: 3px;
	-moz-border-radius: 3px;
	border-radius: 3px;
	
	-webkit-appearance: none;		
	-moz-appearance: none;
	appearance: none;
}


input:focus,
textarea:focus,
select:focus { outline: none; }



input[type=checkbox],
input[type=radio] { margin-right: 10px; }

/*.columnrow .columnrow-form .option-text { font-size: 13px; color: #898989; cursor: pointer; display: inline; }
.columnrow .columnrow-form .form-textarea { margin-bottom: 14px; }
.columnrow .columnrow-form .form-button { text-align: center; }

.columnrow .columnrow-form .form-nolabels label { display: none; }
.columnrow .columnrow-form .form-nolabels .form-checkbox label,
.columnrow .columnrow-form .form-nolabels .form-radio label { display: inline; }
.columnrow .columnrow-form .form-nolabels .option-text { display: inline; }*/





/*
//---------------------------------------
// BACKGROUND OPTIONS
//---------------------------------------
*/

/* BG: White ---------------------------- */
.white { background: #fff;  }
.white .rowtitle { color: #464646; }
.white .rowsubtitle { color: #646464; }
.white .rowtext { color: #464646; }
.white .lighttext { color: #898989; }
.white .darktext { color: #464646; }

.white  + .white .section-row { padding-top: 0px; }


/* BG: Grey ----------------------------- */
.grey { background: #eaeaea; }
.grey .rowtitle { color: #464646; }
.grey .rowsubtitle { color: #898989; }
.grey .rowtext { color: #464646; }
.grey .lighttext { color: #898989; }
.grey .darktext { color: #464646; }

.grey  + .grey .section-row { padding-top: 0px; }

.grey input,
.grey textarea,
.grey select { border: 2px solid #fff; background-color: #fff;  }
.grey .button[disabled=disabled] { color: #dadada; border-color: #dadada; }

/* BG: Mashup Grey ---------------------- */

.mashupgrey { background: #D7D7D7; }
.mashupgrey .rowtitle { color: #464646; }
.mashupgrey .rowsubtitle { color: #464646; }
.mashupgrey .rowtext { color: #464646; }
.mashupgrey a { color: #fff; }

.mashupgrey  + .mashupgrey .section-row { padding-top: 0px; }

.mashupgrey input,
.mashupgrey textarea,
.mashupgrey select { border: 2px solid #fff; background-color: #fff;  }

.mashupgrey .button { color: #898989; }
.mashupgrey .button:hover { color: #464646;  border-color: rgba(0,0,0,0.5); }
.mashupgrey .button[disabled=disabled] { color: #dadada; border-color: #dadada; }


/* BG: Dark Grey ------------------------ */
.darkgrey { background: #1f1f1f; color: #fff; }
.darkgrey .rowtitle { color: #fff; }
.darkgrey .rowsubtitle { color: #fff; }
.darkgrey .rowtext { color: #fff; }
.darkgrey .lighttext { color: #fff; }
.darkgrey .darktext { color: #eee; }
.darkgrey a { color: #eee; }
.darkgrey .button { color: #fff; border-color: rgba(255,255,255,0.5); }
.darkgrey .button:hover {  border-color: rgba(255,255,255,1); }

.darkgrey  + .darkgrey .section-row { padding-top: 0px; }

.darkgrey input,
.darkgrey textarea,
.darkgrey select { border: 2px solid #fff; background-color: #fff;  }
.darkgrey .button[disabled=disabled] { color: #dadada; border-color: #dadada; }

/* BG: NextSteps ------------------------ */

.nextsteps { background: #24a5d3; color: #fff; }
.nextsteps .rowtitle { color: #fff; }
.nextsteps .rowsubtitle { color: #fff; }
.nextsteps .rowtext { color: #fff; }
.nextsteps .lighttext { color: #fff; }
.nextsteps .darktext { color: #eee; }
.nextsteps a { color: #eee; }
.nextsteps .button { color: #fff; border-color: rgba(255,255,255,0.5); }
.nextsteps .button:hover {  border-color: rgba(255,255,255,1); }

.nextsteps  + .nextsteps .section-row { padding-top: 0px; }

.nextsteps input,
.nextsteps textarea,
.nextsteps select { border: 2px solid #fff; background-color: #fff;  }
.nextsteps .button[disabled=disabled] { color: #dadada; border-color: #dadada; }


/* BG: Image ---------------------------- */
.imgbg {
	background-position: center bottom;
	background-attachment: scroll;
	background-repeat: no-repeat;
	color: #fff;
	-webkit-background-size: cover;     
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

.imgbg .rowtitle { color: #fff; }
.imgbg .rowsubtitle { color: #fff; }
.imgbg .rowtext { color: #fff; }
.imgbg .button { color: #fff; border-color: rgba(255,255,255,0.55); }
.imgbg .button:hover { border-color: rgba(255,255,255,1); }

.imgbg.noscroll { background-attachment: scroll; }


/*
//---------------------------------------
// END: BACKGROUND OPTIONS
//---------------------------------------
*/


/*
//---------------------------------------
// EDIT MODE
//---------------------------------------
*/

.umbraco-edit-mode {
	position:fixed;
	right:0;
	top:0;
	z-index:20003;
	background-color: rgba(0,0,0,0.25);
	font-size: 12px;
	line-height: 16px;
	font-weight: 700;
	padding: 10px
}
.umbraco-edit-mode a { color: #fff; }

.umbraco-editlink {
	position: absolute;
	z-index: 30000;
	max-width: 100px;
	background-color: rgba(0,0,0,0.25);
	padding: 5px;
	font-weight: 700;
	color: #fff;
	font-size: 10px;
	line-height: 14px;
}

.umbraco-editlink:hover {
	background-color: rgba(0,0,0,1);
	color: #fff;
}
.umbraco-editlink a:hover { color: #fff; }



/*
//---------------------------------------
// END: EDIT MODE
//---------------------------------------
*/











/*
//====================================================================
//
// TABLET (Bigger than 767px )
//
//====================================================================
*/
@media only screen and (min-width: 767px) {
	
	body { line-height: 24px; }
	
	
	/*
	//---------------------------------------
	// Framework (Mobile)
	//---------------------------------------
	*/
	
	.section-row { padding: 100px 40px; width: 768px;  }
	
	.inalightbox .section-row {
		max-width: 800px;
		padding-top: 50px;
		padding-bottom: 50px;
	}


	/*
	//---------------------------------------
	// ROW: Defaults (Tablet)
	//---------------------------------------
	*/

	.rowtitles {
		width: 560px;
		margin-bottom: 24px;
	}
	
	.rowtitle {
		font-size: 36px;
		line-height: 44px;
	}
	
	.rowsubtitle {
		/*font-size: 36px;
		line-height: 44px;
		*/
		font-size: 32px;
		line-height: 40px;
	}
	
	.rowtext {
		font-size: 18px;
		/*line-height: 24px;*/
		line-height: 29px;
		margin-bottom: 34px;
		width: 590px;
	}
	
	.rowbutton { margin-bottom: 33px; }
	.rowbutton:last-child { margin-bottom: 0px; }
	
	
	.imgbg { background-attachment: fixed; }
	.touch .imgbg { background-attachment: scroll; }
	

	
	/*
	//---------------------------------------
	// Form elements
	//---------------------------------------
	*/
	
	label { font-size: 15px; }
	
	.form-wrap { width: 100%; }
	
}

/*
//====================================================================
//
// DEFAULT (Bigger than 979px )
//
//====================================================================
*/
@media only screen and (min-width: 979px) {
	
	
	/*
	//---------------------------------------
	// Framework (Mobile)
	//---------------------------------------
	*/
	
	.section-row { width: 980px;  }
	
	.inalightbox .section-row {	max-width: 800px; }

	/*
	//---------------------------------------
	// ROW: Defaults (Default)
	//---------------------------------------
	*/

	.rowtitles { width: 800px; }

	.rowtext { width: 590px; }
	
}



/*
//====================================================================
//
// LARGE SCREEN ( Bigger than 1199px )
//
//====================================================================
*/
@media only screen and (min-width:1199px)
{
	
	/*
	//---------------------------------------
	// Framework (Mobile)
	//---------------------------------------
	*/
	
	.section-row { width: 1200px;  }
	
	/*
	//---------------------------------------
	// ROW: Defaults (Large)
	//---------------------------------------
	*/
	
	.rowtext { width: 800px; }
}



